ldns documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Macros | Functions
config.h File Reference

Go to the source code of this file.

## Macros
#define | HAVE_ARPA_INET_H 1
#define | HAVE_ATTR_FORMAT 1
#define | HAVE_ATTR_UNUSED 1
#define | HAVE_BZERO 1
#define | HAVE_CALLOC 1
#define | HAVE_CTIME_R 1
#define | HAVE_DANE_CA_FILE 0
#define | HAVE_DANE_CA_PATH 0
#define | HAVE_DECL_NID_SECP384R1 1
#define | HAVE_DECL_NID_X9_62_PRIME256V1 1
#define | HAVE_DLFCN_H 1
#define | HAVE_ENDPROTOENT 1
#define | HAVE_ENDSERVENT 1
#define | HAVE_EVP_SHA256 1
#define | HAVE_FCNTL 1
#define | HAVE_FORK 1
#define | HAVE_GETADDRINFO 1
#define | HAVE_GETOPT_H 1
#define | HAVE_GMTIME_R 1
#define | HAVE_HMAC_CTX_INIT 1
#define | HAVE_INET_ATON 1
#define | HAVE_INET_NTOP 1
#define | HAVE_INET_PTON 1
#define | HAVE_INTTYPES_H 1
#define | HAVE_ISASCII 1
#define | HAVE_ISBLANK 1
#define | HAVE_LOCALTIME_R 1
#define | HAVE_MALLOC 1
#define | HAVE_MEMMOVE 1
#define | HAVE_MEMORY_H 1
#define | HAVE_MEMSET 1
#define | HAVE_NETDB_H 1
#define | HAVE_NETINET_IN_H 1
#define | HAVE_OPENSSL_ERR_H 1
#define | HAVE_OPENSSL_RAND_H 1
#define | HAVE_OPENSSL_SSL_H 1
#define | HAVE_RANDOM 1
#define | HAVE_REALLOC 1
#define | HAVE_SLEEP 1
#define | HAVE_SNPRINTF 1
#define | HAVE_SSL
#define | HAVE_STDARG_H 1
#define | HAVE_STDBOOL_H 1
#define | HAVE_STDINT_H 1
#define | HAVE_STDLIB_H 1
#define | HAVE_STRINGS_H 1
#define | HAVE_STRING_H 1
#define | HAVE_STRTOUL 1
#define | HAVE_SYS_MOUNT_H 1
#define | HAVE_SYS_PARAM_H 1
#define | HAVE_SYS_SOCKET_H 1
#define | HAVE_SYS_STAT_H 1
#define | HAVE_SYS_TYPES_H 1
#define | HAVE_TIMEGM 1
#define | HAVE_TIME_H 1
#define | HAVE_UNISTD_H 1
#define | HAVE_VFORK 1
#define | HAVE_WORKING_FORK 1
#define | HAVE_WORKING_VFORK 1
#define | HAVE__BOOL 1
#define | LDNS_TRUST_ANCHOR_FILE "/etc/unbound/root.key"
#define | LT_OBJDIR ".libs/"
#define | PACKAGE_BUGREPORT "libdns@nlnetlabs.nl"
#define | PACKAGE_NAME "ldns"
#define | PACKAGE_STRING "ldns 1.6.17"
#define | PACKAGE_TARNAME "libdns"
#define | PACKAGE_URL ""
#define | PACKAGE_VERSION "1.6.17"
#define | SIZEOF_TIME_T 8
#define | STDC_HEADERS 1
#define | SYSCONFDIR sysconfdir
#define | USE_DANE 1
#define | USE_ECDSA 1
#define | USE_GOST 1
#define | USE_SHA2 1
#define | _ALL_SOURCE 1
#define | _GNU_SOURCE 1
#define | _POSIX_PTHREAD_SEMANTICS 1
#define | _TANDEM_SOURCE 1
#define | __EXTENSIONS__ 1
#define | WINVER 0x0502
#define | LITTLE_ENDIAN 1234
#define | BIG_ENDIAN 4321
#define | BYTE_ORDER LITTLE_ENDIAN
#define | FD_SET_T

## Functions
int | ldns_b64_ntop (uint8_t const *src, size_t srclength, char *target, size_t targsize)
int | ldns_b64_pton (char const *src, uint8_t *target, size_t targsize)
int | ldns_dname_compare_v (const void *a, const void *b)
| Given in dnssec_zone.c, also used in dnssec_sign.c:w. More...
size_t | strlcpy (char *dst, const char *src, size_t siz)

## Macro Definition Documentation

#define HAVE_ARPA_INET_H 1

Definition at line 8 of file config.h.

#define HAVE_ATTR_FORMAT 1

Definition at line 11 of file config.h.

#define HAVE_ATTR_UNUSED 1

Definition at line 14 of file config.h.

#define HAVE_BZERO 1

Definition at line 29 of file config.h.

#define HAVE_CALLOC 1

Definition at line 32 of file config.h.

#define HAVE_CTIME_R 1

Definition at line 35 of file config.h.

#define HAVE_DANE_CA_FILE 0

Definition at line 38 of file config.h.

#define HAVE_DANE_CA_PATH 0

Definition at line 41 of file config.h.

#define HAVE_DECL_NID_SECP384R1 1

Definition at line 45 of file config.h.

#define HAVE_DECL_NID_X9_62_PRIME256V1 1

Definition at line 49 of file config.h.

#define HAVE_DLFCN_H 1

Definition at line 52 of file config.h.

#define HAVE_ENDPROTOENT 1

Definition at line 55 of file config.h.

#define HAVE_ENDSERVENT 1

Definition at line 58 of file config.h.

#define HAVE_EVP_SHA256 1

Definition at line 61 of file config.h.

#define HAVE_FCNTL 1

Definition at line 64 of file config.h.

#define HAVE_FORK 1

Definition at line 67 of file config.h.

#define HAVE_GETADDRINFO 1

Definition at line 70 of file config.h.

#define HAVE_GETOPT_H 1

Definition at line 73 of file config.h.

#define HAVE_GMTIME_R 1

Definition at line 76 of file config.h.

#define HAVE_HMAC_CTX_INIT 1

Definition at line 79 of file config.h.

#define HAVE_INET_ATON 1

Definition at line 82 of file config.h.

#define HAVE_INET_NTOP 1

Definition at line 85 of file config.h.

#define HAVE_INET_PTON 1

Definition at line 88 of file config.h.

#define HAVE_INTTYPES_H 1

Definition at line 91 of file config.h.

#define HAVE_ISASCII 1

Definition at line 97 of file config.h.

#define HAVE_ISBLANK 1

Definition at line 100 of file config.h.

#define HAVE_LOCALTIME_R 1

Definition at line 106 of file config.h.

#define HAVE_MALLOC 1

Definition at line 110 of file config.h.

#define HAVE_MEMMOVE 1

Definition at line 113 of file config.h.

#define HAVE_MEMORY_H 1

Definition at line 116 of file config.h.

#define HAVE_MEMSET 1

Definition at line 119 of file config.h.

#define HAVE_NETDB_H 1

Definition at line 122 of file config.h.

#define HAVE_NETINET_IN_H 1

Definition at line 131 of file config.h.

#define HAVE_OPENSSL_ERR_H 1

Definition at line 155 of file config.h.

#define HAVE_OPENSSL_RAND_H 1

Definition at line 158 of file config.h.

#define HAVE_OPENSSL_SSL_H 1

Definition at line 161 of file config.h.

#define HAVE_RANDOM 1

Definition at line 170 of file config.h.

#define HAVE_REALLOC 1

Definition at line 174 of file config.h.

#define HAVE_SLEEP 1

Definition at line 177 of file config.h.

#define HAVE_SNPRINTF 1

Definition at line 180 of file config.h.

#define HAVE_SSL

Definition at line 183 of file config.h.

#define HAVE_STDARG_H 1

Definition at line 186 of file config.h.

#define HAVE_STDBOOL_H 1

Definition at line 189 of file config.h.

#define HAVE_STDINT_H 1

Definition at line 192 of file config.h.

#define HAVE_STDLIB_H 1

Definition at line 195 of file config.h.

#define HAVE_STRINGS_H 1

Definition at line 198 of file config.h.

#define HAVE_STRING_H 1

Definition at line 201 of file config.h.

#define HAVE_STRTOUL 1

Definition at line 207 of file config.h.

#define HAVE_SYS_MOUNT_H 1

Definition at line 213 of file config.h.

#define HAVE_SYS_PARAM_H 1

Definition at line 216 of file config.h.

#define HAVE_SYS_SOCKET_H 1

Definition at line 219 of file config.h.

#define HAVE_SYS_STAT_H 1

Definition at line 222 of file config.h.

#define HAVE_SYS_TYPES_H 1

Definition at line 225 of file config.h.

#define HAVE_TIMEGM 1

Definition at line 228 of file config.h.

#define HAVE_TIME_H 1

Definition at line 231 of file config.h.

#define HAVE_UNISTD_H 1

Definition at line 234 of file config.h.

#define HAVE_VFORK 1

Definition at line 237 of file config.h.

#define HAVE_WORKING_FORK 1

Definition at line 246 of file config.h.

#define HAVE_WORKING_VFORK 1

Definition at line 249 of file config.h.

#define HAVE__BOOL 1

Definition at line 255 of file config.h.

#define LDNS_TRUST_ANCHOR_FILE "/etc/unbound/root.key"

Definition at line 264 of file config.h.

#define LT_OBJDIR ".libs/"

Definition at line 268 of file config.h.

#define PACKAGE_BUGREPORT "libdns@nlnetlabs.nl"

Definition at line 271 of file config.h.

#define PACKAGE_NAME "ldns"

Definition at line 274 of file config.h.

#define PACKAGE_STRING "ldns 1.6.17"

Definition at line 277 of file config.h.

#define PACKAGE_TARNAME "libdns"

Definition at line 280 of file config.h.

#define PACKAGE_URL ""

Definition at line 283 of file config.h.

#define PACKAGE_VERSION "1.6.17"

Definition at line 286 of file config.h.

#define SIZEOF_TIME_T 8

Definition at line 304 of file config.h.

#define STDC_HEADERS 1

Definition at line 307 of file config.h.

#define SYSCONFDIR sysconfdir

Definition at line 313 of file config.h.

#define USE_DANE 1

Definition at line 316 of file config.h.

#define USE_ECDSA 1

Definition at line 319 of file config.h.

#define USE_GOST 1

Definition at line 322 of file config.h.

#define USE_SHA2 1

Definition at line 325 of file config.h.

#define _ALL_SOURCE 1

Definition at line 329 of file config.h.

#define _GNU_SOURCE 1

Definition at line 333 of file config.h.

#define _POSIX_PTHREAD_SEMANTICS 1

Definition at line 337 of file config.h.

#define _TANDEM_SOURCE 1

Definition at line 341 of file config.h.

#define __EXTENSIONS__ 1

Definition at line 345 of file config.h.

#define WINVER 0x0502

Definition at line 353 of file config.h.

#define LITTLE_ENDIAN 1234

Definition at line 450 of file config.h.

#define BIG_ENDIAN 4321

Definition at line 454 of file config.h.

#define BYTE_ORDER LITTLE_ENDIAN

Definition at line 461 of file config.h.

#define FD_SET_T

Definition at line 499 of file config.h.

## Function Documentation

int ldns_b64_ntop | ( | uint8_t const * | src,
|  | size_t | srclength,
|  | char * | target,
|  | size_t | targsize
| ) |  |

int ldns_b64_pton | ( | char const * | src,
|  | uint8_t * | target,
|  | size_t | targsize
| ) |  |

int ldns_dname_compare_v | ( | const void * | a,
|  | const void * | b
| ) |  |

Given in dnssec_zone.c, also used in dnssec_sign.c:w.

Definition at line 780 of file dnssec_zone.c.

References ldns_struct_dnssec_zone::_nsec3params, ldns_rbnode_t::data, ldns_struct_dnssec_name::hashed_name, ldns_struct_dnssec_zone::hashed_names, ldns_rbnode_t::key, ldns_dname_compare(), ldns_dname_compare_v(), ldns_dname_label(), LDNS_FREE, LDNS_MALLOC, ldns_nsec3_hash_name_frm_nsec3(), ldns_rbtree_create(), ldns_rbtree_first(), ldns_rbtree_insert(), ldns_rbtree_next(), LDNS_RBTREE_NULL, ldns_rbtree_search(), ldns_rdf_deep_free(), ldns_rr_get_type(), ldns_rr_owner(), LDNS_RR_TYPE_NSEC3, ldns_traverse_postorder(), ldns_struct_dnssec_name::name, and ldns_struct_dnssec_zone::names.

size_t strlcpy | ( | char * | dst,
|  | const char * | src,
|  | size_t | siz
| ) |  |